Name:          logrotate
Version:       3.20.1
Release:       1mamba
Summary:       Rotates, compresses, removes and mails system log files
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/logrotate/logrotate
Source0:       https://github.com/logrotate/logrotate.git/%{version}/logrotate-%{version}.tar.bz2
Source1:       %{name}.conf
Source2:       %{name}.cron
Source3:       %{name}-init
Source4:       %{name}.timer
Source5:       %{name}.service
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libpopt-devel
BuildRequires: libselinux-devel
## AUTOBUILDREQ-END
%systemd_requires

%description
The logrotate utility is designed to simplify the administration of log files on a system which generates a lot of log files.
Logrotate allows for the automatic rotation compression, removal and mailing of log files.
Logrotate can be set to handle a log file daily, weekly, monthly or when the log file gets to a certain size.
Normally, logrotate runs as a daily cron job and once at boot time.
Install the logrotate package if you need a utility to deal with the log files on your system.

%debug_package

%prep
%setup -q

%build
./autogen.sh

%configure \
   --with-selinux

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#PREFIX=%{buildroot} MANDIR=%{_mandir}

install -D -m 644 %{S:1} %{buildroot}%{_sysconfdir}/logrotate.conf
#install -D -m 755 %{S:2} %{buildroot}%{_sysconfdir}/cron.daily/logrotate
#install -D -m 744 %{S:3} %{buildroot}%{_initrddir}/logrotate
install -D -m 644 %{S:4} %{buildroot}%{_unitdir}/logrotate.timer
install -D -m 644 %{S:5} %{buildroot}%{_unitdir}/logrotate.service
install -d %{buildroot}%{_sysconfdir}/logrotate.d/
install -d %{buildroot}/var/lib
touch %{buildroot}/var/lib/logrotate.status
install -d %{buildroot}%{_unitdir}/multi-user.target.wants

%post
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
   systemctl -q enable logrotate.timer
   systemctl -q start logrotate.timer
fi
:

%postun
if [ $1 -eq 0 ]; then
   systemctl -q disable logrotate.tiemr
fi
:

%posttrans
# clean old sysv broken links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;   
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/logrotate
%dir %{_sysconfdir}/logrotate.d
%config(noreplace) %{_sysconfdir}/logrotate.conf
%config(noreplace) %{_localstatedir}/lib/logrotate.status
%{_unitdir}/logrotate.service
%{_unitdir}/logrotate.timer
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 3.19.0-1mamba
- automatic version update by autodist

* Thu May 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.1-1mamba
- update to 3.18.1

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Sat Dec 15 2018 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 3.13.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.2-1mamba
- update to 3.9.2

* Sat Aug 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.1-2mamba
- logrotate.timer: fix wrong unit reference

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic update by autodist

* Wed Mar 04 2015 Automatic Build System <autodist@mambasoft.it> 3.8.9-1mamba
- automatic update by autodist

* Fri Dec 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.8-2mamba
- systemd support

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 3.8.8-1mamba
- automatic update by autodist

* Sat Oct 19 2013 Automatic Build System <autodist@mambasoft.it> 3.8.7-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 3.8.6-1mamba
- automatic update by autodist

* Thu Jun 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.5-1mamba
- automatic version update by autodist

* Fri May 03 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic update by autodist

* Fri Aug 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.9-2mamba
- use macro %_initrddir to install initscript

* Mon Aug 09 2010 Automatic Build System <autodist@mambasoft.it> 3.7.9-1mamba
- automatic update by autodist

* Fri May 28 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.7.8-1mamba
- update to 3.7.8
- update package Source and URL

* Sun Dec 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.5-4mamba
- rebuilt to remove executable requirements

* Sun Feb 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.5-3mamba
- fixed initscript header and added stop command
- use chkconfig command to enable/disable initscript on install/uninstall
- rename source script to logrotate-init

* Tue Jan 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 3.7.5-2mamba
- added a reference in rc.local to launch logrotate at boot time

* Tue Jan 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.5-1mamba
- update to 3.7.5
- do not create utmp group
- remove yearly_rotation patch applied upstream
- remove sharedscript patch applied upstream

* Wed Jun 13 2007 Aleph0 <aleph0@openmamba.org> 3.7.2-2mamba
- do not compress wtmp rotated files

* Tue Sep 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.7.2-1qilnx
- update to version 3.7.2 by autospec
- enabled selinux
- specfile fixes
- applied patches from fedora package

* Mon May 26 2003 Silvan Calarco <silvan.calarco> 3.6.8-2qilnx
- creation of needed group utmp

* Mon May 12 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 3.6.8-1qilnx
- creation of logrotate package
